조직의 설정을 업데이트합니다.
프로젝트가 포함된 조직 식별하는 고유한 24-16진수 string입니다. /orgs 엔드포인트를 사용하여 인증된 사용자가 액세스 할 수 있는 모든 조직을 조회 .
형식은 ^([a-f0-9]{24})$ 패턴 과 일치해야 합니다.
애플리케이션이 응답을 envelope JSON 객체로 래핑할지 여부를 나타내는 플래그입니다. 일부 API 클라이언트는 HTTP 응답 헤더 또는 상태 코드에 액세스할 수 없습니다. 이 문제를 해결하려면 쿼리에서 envelope=true를 설정합니다. 결과 목록을 반환하는 엔드포인트는 결과 객체를 엔벨로프로 사용합니다. 애플리케이션은 응답 본문에 상태 매개변수를 추가합니다.
기본값은 false 입니다.
응답 본문이 프리티프린트 형식이어야 하는지 여부를 나타내는 플래그입니다.
기본값은 false 입니다.
지정된 조직의 설정을 업데이트할 세부 정보입니다.
지정된 조직의 API 액세스 목록에 추가된 IP 주소에서 API 작업 시작을 요구할지 여부를 나타내는 플래그입니다.
조직 수준에서 사용자 세션을 관리하기 위한 세션 시간 초과 설정을 정의합니다. null로 설정하다 하면 필드 값이 설정되지 않고 기본값 시간 초과 설정이 적용됩니다.
이 조직 이 생성 AI 기능에 액세스 있는지 여부를 나타내는 플래그입니다. 이 설정은 Atlas Commercial에만 적용되며 기본값 활성화되어 있습니다. 이 설정을 켜면 프로젝트 소유자가 프로젝트 수준에서 개별 AI 기능을 활성화 하거나 비활성화할 수 있습니다.
기본값은 true 입니다.
지정된 조직 내에서 새 Atlas 관리자 API 서비스 계정 비밀이 만료되기까지의 최대 기간(시간)을 나타내는 숫자입니다.
최소값은 8, 최대값은 8760입니다.
사용자가 지정된 조직에 액세스하기 전에 MFA(다단계 인증) 설정을 요구할지 여부를 나타내는 플래그입니다. 자세한 내용은 https://www.mongodb.com/ko-kr/docs/atlas/security-multi-factor-authentication/을 참조하세요.
지정된 조직이 인프라스트럭처에 대한 사전 알림을 받도록 지정된 조직의 배포 목록 이메일 주소를 지정하는 string입니다. 작업 문의는 알림에만 사용되며 결정이나 승인을 할 권한이 없습니다. 명시적인 null을 전달하면 기존 작업 문의(있는 경우) 값이 지워집니다. 빈 string은 유효하지 않으며 유효성 검사 오류로 거부됩니다.
MongoDB 지원팀이 명시적 허가 없이 지정된 조직의 모든 배포서버와 클러스터 로그에 대한 Atlas 인프라 및 클러스터 로그에 액세스하는 것을 차단할지 여부를 나타내는 플래그입니다. 이 설정을 실행하면 MongoDB 지원팀에 24시간 우회 액세스 권한을 부여하여 Atlas 배포서버에 대한 지원 문제를 해결할 수 있습니다. 자세한 내용은 https://www.mongodb.com/ko-kr/docs/atlas/security-restrict-support-access/를 참조하세요.
string 지정된 조직 이 보안 관련 알림 을 받을 단일 이메일 주소 를 지정하는 문자열입니다. 보안 문의 를 지정한다고 해서 보안 결정이나 승인을 위해 Atlas 에 대한 권한 부여 이나 액세스 권한이 부여되는 것은 아닙니다. string 빈 문자열은 유효하며 기존 보안 문의 (있는 경우)를 지웁니다.
이 조직 에 있는 그룹의 Atlas Stream Processing 작업 공간이 동일한 조직 에 있는 다른 그룹의 클러스터에 대한 연결을 생성할 수 있는지 여부를 나타내는 플래그입니다.
curl \
--request PATCH 'https://cloud.mongodb.com/api/atlas/v1.0/orgs/4888442a3354817a7320eb61/settings' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"apiAccessListRequired": true,
"customSessionTimeouts": {
"absoluteSessionTimeoutInSeconds": 42,
"idleSessionTimeoutInSeconds": 42
},
"genAIFeaturesEnabled": true,
"maxServiceAccountSecretValidityInHours": 42,
"multiFactorAuthRequired": true,
"operationsContact": "string",
"restrictEmployeeAccess": true,
"securityContact": "string",
"streamsCrossGroupEnabled": true
}'
{
"apiAccessListRequired": true,
"customSessionTimeouts": {
"absoluteSessionTimeoutInSeconds": 42,
"idleSessionTimeoutInSeconds": 42
},
"genAIFeaturesEnabled": true,
"maxServiceAccountSecretValidityInHours": 42,
"multiFactorAuthRequired": true,
"operationsContact": "string",
"restrictEmployeeAccess": true,
"securityContact": "string",
"streamsCrossGroupEnabled": true
}
{
"apiAccessListRequired": true,
"customSessionTimeouts": {
"absoluteSessionTimeoutInSeconds": 42,
"idleSessionTimeoutInSeconds": 42
},
"genAIFeaturesEnabled": true,
"maxServiceAccountSecretValidityInHours": 42,
"multiFactorAuthRequired": true,
"operationsContact": "string",
"restrictEmployeeAccess": true,
"securityContact": "string",
"streamsCrossGroupEnabled": true
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 429,
"errorCode": "RATE_LIMITED",
"reason": "Too Many Requests"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}